:root {
    --bg-color-light: #abe0bf;
    --bg-color-dark: #1b3b26;
    --text-color-light: #000;
    --text-color-dark: #fff;
    --footer-bg-light: #333;
    --footer-bg-dark: #1a1a1a;
    --toggle-bg-light: #96888c;
    --toggle-bg-dark: #4d4d4d;
    --toggle-ball-light: #fff;
    --toggle-ball-dark: #fff;
}

body {
    margin: 0;
    padding: 0;
    font-family: Montserrat;
    background-color: var(--bg-color-dark); 
    color: var(--text-color-light); 
}


.banner {
    background-image: url('./images/Wallpaper_Escritorio2.jpg'); 
    background-size: cover;
    background-position: center;
    height: 60px; 
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
    margin-bottom: 16px;
    padding: 0 16px;
}

.banner-title {
    font-size: 2rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.masonry-grid {
    column-count: 3; 
    column-gap: 10px;
    padding: 10px;
    max-width: 1500px;
    margin: 0 auto;

}

.masonry-item {
    position: relative;
    margin-bottom: 16px;
    break-inside: avoid;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);

}

.masonry-item img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    max-height: 750px;
    cursor: default;
}

.image-item-bar {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 8px;
    background: rgba(0, 0, 0, 0.25);
    color: white;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.image-title {
    font-size: 1.2rem;
    font-weight: bold;
}

.image-subtitle {
    font-size: .8rem;
    margin-top: 4px;
}

.masonry-item img:hover {
    transform: scale(1.35);
    transition-duration: 1s;
    cursor: pointer;

}

.button{

    display: right;

}

.theme-toggle-container {
    position: fixed;
    top: 10px;
    right: 5px;
    z-index: 1000;
}

.theme-toggle-checkbox {
    opacity: 0;
    position: absolute;
}

.theme-toggle-label {
    width: 50px;
    height: 25px;
    background-color: var(--toggle-bg-dark);
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.theme-toggle-ball {
    width: 25px;
    height: 25px;
    background-color: var(--toggle-ball-dark);
    border-radius: 50%;
    position: absolute;
    top: 5px;
    left: 6px;
    transition: all .5s ease;
}

.theme-toggle-label::after {
    content: '🌞';
    font-size: 13px;
    position: absolute;
    left: 7px;
}

.theme-toggle-label::before {
    content: '🌜';
    font-size: 13px;
    position: absolute;
    right: 7px;
}


.theme-toggle-checkbox:checked + .theme-toggle-label {
    background-color: var(--toggle-bg-light);
    transition: all .5s ease;
}

.theme-toggle-checkbox:checked + .theme-toggle-label .theme-toggle-ball {
    transform: translateX(25px);
    transition: all .5s ease;
}

/* Ajuste */
@media (max-width: 768px) {
    .masonry-grid {
        column-count: 2;
        padding: 8px;
    }

    .masonry-item img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    max-height: 330px;

}

.image-title {
    font-size: .7rem;
    
}

.image-subtitle {
    font-size: 0.375rem;
    margin-top: 4px;
}

.theme-toggle-container {
    position: fixed;
    top: 8px;
    right: 8px;
    z-index: 1000;
}

.theme-toggle-checkbox {
    opacity: 0;
    position: absolute;
}

.theme-toggle-label {
    width: 35px;
    height: 10px;
    background-color: var(--toggle-bg-light);
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.theme-toggle-ball {
    width: 14px;
    height: 14px;
    background-color: var(--toggle-ball-light);
    border-radius: 50%;
    position: absolute;
    top: 3px;
    left: 3px;
    transition: all .5s ease;
}

.theme-toggle-label::before {
    content: '🌞';
    font-size: 7px;
    position: absolute;
    left: 6px;
    
}

.theme-toggle-label::after {
    content: '🌜';
    font-size: 7px;
    position: absolute;
    right: 7px;
    z-index: 1000;

    }


}

.footer {
    background-color: #132416;
    color: white;
    text-align: center;
    margin-top: 30px;
    padding: 35px 0;
    width: 100%;
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.footer p {
    margin: 0;
    font-size: 1rem;
    font-weight: bold;
}

.social-icons {
    margin-top: 10px;
}

.social-link {
    color: white;
    font-size: 1.5rem;  /* Asegura que los íconos sean grandes */
    margin: 0 10px;
    transition: color 0.3s ease;
    text-decoration: none;
}

.social-link:hover {
    color: #1DB954;
}



